# radiobutton class A radiobutton class
Inherits
widget
Description
The RadioButton widget provides a radio button with a text or pixmap label.
Functions
`$settext(<text:string>)`
Sets the text that will appear in the radiobutton.
`<boolean> $isChecked()`
Returns 1 (TRUE) if the radio button is checked; otherwise returns 0 (FALSE).
`$setChecked(<bChecked:boolean>)`
Sets whether the radio button is checked to check.
`$setPixmap(<image_id>)`
Sets the pixmap shown on the radiobutton..See the image identifier documentation for the explaination of the <image_id> parameter.
`<bool>$toggleEvent()`
Called by KVIrc when the radibutton state is toggled. The default implementation emits the toggled(<bool>) signal. !sg: $toggled() This signal is emitted by the default implementation of $toggleEvent().

Index, Object Classes

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017